[data-dropdown] {
    position: relative;

    &.open {
        z-index: 50;

        [data-dropdown-content] {
            opacity: 1;
            visibility: visible;
        }
    }
}

[data-dropdown-toggle] {
    cursor: pointer;
}

[data-dropdown-content] {
    z-index: 100;
    opacity: 0;
    visibility: hidden;
    position: absolute;
}

.dropdown {
    display: inline-block;

    &__content {
        background: $white;
        border-radius: rem(4);
        box-shadow: 0px 6px 6px rgba(0, 0, 0, 0.15);
    }

    &__item {
        cursor: pointer;
        min-width: 100%;
        display: inline-flex;
        padding: rem(6) rem(20);

        &:hover {
            background-color: #eee;
        }
    }

    &__menu {
        left: 0;
        overflow: hidden;
        top: calc(100% + 0.4rem);
        z-index: 100;
        line-height: 110%;
        position: absolute;
        background: $white;
        min-width: 100%;
        border-radius: rem(10);
        box-shadow: 0px 4px 20px 0px rgba(48, 36, 121, 0.35);
    }

    &__item {
        width: 100%;
        display: block;
        padding: rem(12) rem(24);
        white-space: nowrap;

        &:hover {
            color: $blue;
        }

        &.active {
            background: #f2f2f2;
        }
    }
}
